KingKits 5.3.2

Use custom created kits to battle other players in PvP! Create/delete/rename kits in-game!

  1. KingFaris10
    Tested Minecraft Versions:
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    Source Code:
    https://github.com/KingFaris10/KingKits/
    Contributors:
    mazentheamazin, 1Rogue
    KingKits by KingFaris10
    [​IMG]

    What is KingKits?
    KingKits is not the ordinary kit plugin that allows players to use kits in PvP. This plugin is special as it has in-game commands that allows you to create kits and delete kits. You can also use /pvpkit <kit> or a sign to choose a kit, or use /pvpkit to open a GUI (if enabled in the config).

    Features:
    • Multi-world support
    • Economy support
    • Kit command
    • Kit signs
    • Creating/deleting/renaming kits in-game
    • Disabling/enabling commands
    • Quicksoup to refill your health/hunger
    • A refill command to refill your bowl(s)
    • Economy: Money per kill and losing money per death
    • Easy configuration
    • In-game configuration editing
    • Killstreaks
    • Scores
    • Multiple storage data types (flat file and MySQL)
    • Developer friendly
    • Personal user kits

    == Commands and Permissions ==
    Commands: http://kingfaris10.stannaz.uk/threads/commands.1/
    Permissions: http://kingfaris10.stannaz.uk/threads/permissions.2/

    == Development builds ==
    Any development builds may contain bugs, use at your own risk.
    https://gitlab.com/KingFaris10/KingKits

    == Metrics ==
    This plugin utilises Hidendra's plugin metrics system, which means that the following information is collected and sent to mcstats.org:
    * A unique identifier
    * The server's version of Java
    * Whether the server is in offline or online mode
    * The plugin's version
    * The server's version
    * The OS version/name and architecture
    * The core count for the CPU
    * The number of players online
    * The Metrics version
    [​IMG]

    == Versions for older MC servers ==
    KingKits v5.1.2 for Minecraft v1.7
    Download: Here
    Description: KingKits v5.1.2 for Minecraft versions 1.7-1.7.10. This will most likely not be updated every KingKits update.

    KingKits v5.2.9 for Minecraft v1.8
    Download: Here
    Description: KingKits v5.2.9 for Minecraft versions 1.8.4-1.8.9. This will not be updated every KingKits update.

    == Tutorials ==
    Tutorial 1:

    Tutorial 2:


    == F.A.Q ==
    Q: My scoreboard's stuck when I deleted the plugin!

    A: /scoreboard objectives remove KingKits

    Q: It's saying I don't have permissions to use that kit even if I give them permission nodes!

    A: Have you given them the permission node for the actual kit? kingkits.kits.<kit>.

    Q: I keep getting the error:
    "Could not load 'plugins/KingKits.jar' in folder 'plugins' org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/faris/kingkits/KingKits : Unsupported major.minor version 52.0 at "

    A: Calm down, this happens because the server must be running on at least Java 8. If you have Java 8 installed and it still comes up with this error, it means you also have a previous version of Java installed (e.g. Java 7). Make sure to run your server on Java 8 by either changing the start-up script, path variable, or contacting your host.
    zige, JensHjort, YouTube0099 and 25 others like this.

Recent Updates

  1. KingKits v5.3.2
  2. KingKits v5.3.1
  3. KingKits v5.3.0

Recent Reviews

  1. Plugin_theFox
    Plugin_theFox
    4/5,
    Version: 5.3.2
    Used to work great, but soon it started giving random errors for the 1.8.9 build, I cant find another 1.8.9 build that works. Sad it was an awesome plugin I would 100% recommend this for 1.9+ servers. If you can help me heres the error:
    [11:04:39 INFO]: [KingKits] Enabling KingKits v5.2.9
    [11:04:40 INFO]: [KingKits] Checking for updates...
    [11:04:40 ERROR]: Error occurred while enabling KingKits v5.2.9 (Is it up to dat
    e?)
    java.lang.NullPointerException
    at com.faris.kingkits.updater.SpigotUpdater.run(SpigotUpdater.java:86) ~
    [?:?]
    at com.faris.kingkits.updater.SpigotUpdater.<init>(SpigotUpdater.java:56
    ) ~[?:?]
    at com.faris.kingkits.KingKits.onEnable(KingKits.java:106) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321) ~[s
    pigot.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader
    .java:340) [spigot.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManage
    r.java:405) [spigot.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugin(CraftServer.jav
    a:357) [spigot.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.enablePlugins(CraftServer.
    java:317) [spigot.jar:git-Spigot-db6de12-18fbb24]
    at net.minecraft.server.v1_8_R3.MinecraftServer.s(MinecraftServer.java:4
    14) [spigot.jar:git-Spigot-db6de12-18fbb24]
    at net.minecraft.server.v1_8_R3.MinecraftServer.k(MinecraftServer.java:3
    78) [spigot.jar:git-Spigot-db6de12-18fbb24]
    at net.minecraft.server.v1_8_R3.MinecraftServer.a(MinecraftServer.java:3
    33) [spigot.jar:git-Spigot-db6de12-18fbb24]
    at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.jav
    a:263) [spigot.jar:git-Spigot-db6de12-18fbb24]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java
    :525) [spigot.jar:git-Spigot-db6de12-18fbb24]
  2. PROJETO158
    PROJETO158
    2/5,
    Version: 5.3.2
    ele n carrega, sendo q uso java 8
    [17:04:02 INFO]: [KingKits] Enabling KingKits v5.2.9
    [17:04:02 INFO]: [KingKits] Checking for updates...
    [17:04:02 ERROR]: Error occurred while enabling KingKits v5.2.9 (Is it up to date?)
    java.lang.NullPointerException
    at com.faris.kingkits.updater.SpigotUpdater.run(SpigotUpdater.java:86) ~[?:?]
    at com.faris.kingkits.updater.SpigotUpdater.<init>(SpigotUpdater.java:56) ~[?:?]
    at com.faris.kingkits.KingKits.onEnable(KingKits.java:106) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321) ~[spigot18.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:340) [spigot18.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) [spigot18.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugin(CraftServer.java:357) [spigot18.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.enablePlugins(CraftServer.java:317) [spigot18.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.reload(CraftServer.java:741) [spigot18.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.Bukkit.reload(Bukkit.java:535) [spigot18.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:25) [spigot18.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) [spigot18.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchCommand(CraftServer.java:641) [spigot18.jar:git-Spigot-db6de12-18fbb24]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchServerCommand(CraftServer.java:627) [spigot18.jar:git-Spigot-db6de12-18fbb24]
    at net.minecraft.server.v1_8_R3.DedicatedServer.aO(DedicatedServer.java:412) [spigot18.jar:git-Spigot-db6de12-18fbb24]
    at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:375) [spigot18.jar:git-Spigot-db6de12-18fbb24]
    at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:654) [spigot18.jar:git-Spigot-db6de12-18fbb24]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:557) [spigot18.jar:git-Spigot-db6de12-18fbb24]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_181]
    1. KingFaris10
      Author's Response
      If you post an error in the reviews and expect support for an unstable build, you're very mistaken.
  3. MagyTheMage
    MagyTheMage
    5/5,
    Version: 5.3.2
    Lovely plugin, used it so much and it has saved me from having to create lines of command blocks to create classes

    was wondering, Back in 1.6.4 i had a plugin called "Kingkits special" is that one beeing worked

    also, something ive noticed is that NBT tags from things like spawneggs dont save in the class :)
    1. KingFaris10
      Author's Response
      Thanks! KingKitsSpecial was stopped because it required too much effort with little to no reward.

      NBT tags, mainly spawn eggs should actually be saved. PM me what version you are using of KingKits and Spigot.
  4. Dot2Dot
    Dot2Dot
    5/5,
    Version: 5.3.2
    Just the best kit plugin out there, nothing can beat it if you know what you're doing! Awesome developer definitely recommend hiring this person to make plugins for your server especially for $$! Well done dude you worked so hard on the plugin! THE BEST!
    1. KingFaris10
  5. KingStation
    KingStation
    5/5,
    Version: 5.3.2
    5 Stars Legenady Plugin but where is the premisssion ? :)
    thank you for good plugin
    1. KingFaris10
      Author's Response
  6. Florens_
    Florens_
    5/5,
    Version: 5.3.2
    Have used this plugin so much right now, really good plugin! Almost everything is possible, you just need to search for it
    1. KingFaris10
  7. MsGamerBr
    MsGamerBr
    5/5,
    Version: 5.3.2
    Português: Muito bom , baixem recomendo.
    Inglês: Very good, low recommend.
    ------------------------
  8. Harambee
    Harambee
    5/5,
    Version: 5.3.2
    Very nice plugin. I hope you make more and keep updating them. :D
    -----------------------------
    1. KingFaris10
  9. SomeonePIX
    SomeonePIX
    5/5,
    Version: 5.3.2
    Thank you very much, btw now are 1.13 already out ;)
    .....................................
    1. KingFaris10
  10. melongun77
    melongun77
    5/5,
    Version: 5.3.2
    Thanks for updating this excellent plugin this is a must have for kit pvp server i love this plugin i have now no more errors
    1. KingFaris10
      Author's Response
      Thanks, no problem.